Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.annotations
Class XYDrawableAnnotation

    java.lang.Object
      org.jfree.chart.annotations.XYDrawableAnnotation

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, XYAnnotation

public class XYDrawableAnnotation
extends java.lang.Object
implements XYAnnotation, java.lang.Cloneable, java.io.Serializable

A general annotation that can be placed on an `XYPlot`.

See Also:
  Serialized Form

Constructor Summary
`XYDrawableAnnotation(double x, double y, double width, double height, org.jfree.ui.Drawable drawable)` Creates a new annotation to be displayed within the given area.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of the annotation.
`void` | `draw(java.awt.Graphics2D g2, XYPlot plot, java.awt.geom.Rectangle2D dataArea, ValueAxis domainAxis, ValueAxis rangeAxis)` Draws the annotation.
`boolean` | `equals(java.lang.Object object)` Tests this annotation for equality with an object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYDrawableAnnotation

    public XYDrawableAnnotation(double x,
                                double y,
                                double width,
                                double height,
                                org.jfree.ui.Drawable drawable)

  Creates a new annotation to be displayed within the given area.

Parameters:
  `x` - the x-coordinate for the area.
  `y` - the y-coordinate for the area.
  `width` - the width of the area.
  `height` - the height of the area.
  `drawable` - the drawable object.

Method Detail

### draw

    public void draw(java.awt.Graphics2D g2,
                     XYPlot plot,
                     java.awt.geom.Rectangle2D dataArea,
                     ValueAxis domainAxis,
                     ValueAxis rangeAxis)

  Draws the annotation.

  Specified by:
    `draw` in interface `XYAnnotation`
  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `dataArea` - the data area.
    `domainAxis` - the domain axis.
    `rangeAxis` - the range axis.

### equals

    public boolean equals(java.lang.Object object)

  Tests this annotation for equality with an object.

  Parameters:
    `object` - the object to test against.
  Returns:
    `true` or `false`.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the annotation.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if the annotation can't be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD